// Copyright (C)2004 Diolan ( http://www.diolan.com )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

#if defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__) || defined(__CYGWIN__)
extern "C" {
#include <i2cbridge.h>
}
#else
#pragma once
#include "../common/I2CBridge.h"
#endif /* defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__) || defined(__CYGWIN__) */

class CI2c
{
public:
	CI2c(void);
	virtual ~CI2c(void);
	bool Read(PU2C_TRANSACTION pTransaction);
	bool Write(PU2C_TRANSACTION pTransaction);
	void PrintError();
private:
	U2C_RESULT m_Res;
	bool OpenDevice();
	void CloseDevice();
	HANDLE m_hDevice;
};
