#! /bin/sh

DIOLAN_VEND="0ABF"
DIOLAN_PROD="3370"

LIBUSB_DIR="../libusb-0.1.8"

# You must be root
if [ `id -u` -ne 0 ]; then
    echo "You must be root to do that"
    exit 1
fi

if ! test -x ${LIBUSB_DIR}/tests/testlibusb ; then
    echo "Can't find \"testlibusb\""
    exit 2
fi

# Gain access to everybody
for df in `${LIBUSB_DIR}/tests/testlibusb | grep ${DIOLAN_VEND}/${DIOLAN_PROD} | cut -d ' ' -f 1`
do
    chmod og+w /proc/bus/usb/$df
    ls -all /proc/bus/usb/$df
done

